Methods
Static ComputeCurvilinearFacesLengthPresentation
- ComputeCurvilinearFacesLengthPresentation(FirstArrowLength: number, SecondArrowLength: number, SecondSurf: Handle_Geom_Surface, AttachmentPoint1: gp_Pnt, AttachmentPoint2: gp_Pnt, DirAttach: gp_Dir, EndOfArrow2: gp_Pnt, DirOfArrow1: gp_Dir, VCurve: Handle_Geom_Curve, UCurve: Handle_Geom_Curve, FirstU: number, deltaU: number, FirstV: number, deltaV: number): void
Parameters
FirstArrowLength: number
SecondArrowLength: number
AttachmentPoint1: gp_Pnt
AttachmentPoint2: gp_Pnt
EndOfArrow2: gp_Pnt
DirOfArrow1: gp_Dir
FirstU: number
deltaU: number
FirstV: number
deltaV: number
Returns void
Static ComputeFacesAnglePresentation
- ComputeFacesAnglePresentation(ArrowLength: number, Value: number, CenterPoint: gp_Pnt, AttachmentPoint1: gp_Pnt, AttachmentPoint2: gp_Pnt, dir1: gp_Dir, dir2: gp_Dir, axisdir: gp_Dir, isPlane: boolean, AxisOfSurf: gp_Ax1, OffsetPoint: gp_Pnt, AngleCirc: gp_Circ, FirstParAngleCirc: number, LastParAngleCirc: number, EndOfArrow1: gp_Pnt, EndOfArrow2: gp_Pnt, DirOfArrow1: gp_Dir, DirOfArrow2: gp_Dir, ProjAttachPoint2: gp_Pnt, AttachCirc: gp_Circ, FirstParAttachCirc: number, LastParAttachCirc: number): void
Parameters
ArrowLength: number
Value: number
CenterPoint: gp_Pnt
AttachmentPoint1: gp_Pnt
AttachmentPoint2: gp_Pnt
isPlane: boolean
OffsetPoint: gp_Pnt
FirstParAngleCirc: number
LastParAngleCirc: number
EndOfArrow1: gp_Pnt
EndOfArrow2: gp_Pnt
DirOfArrow1: gp_Dir
DirOfArrow2: gp_Dir
ProjAttachPoint2: gp_Pnt
FirstParAttachCirc: number
LastParAttachCirc: number
Returns void
Static ComputeFilletRadiusPresentation
- ComputeFilletRadiusPresentation(ArrowLength: number, Value: number, Position: gp_Pnt, NormalDir: gp_Dir, FirstPoint: gp_Pnt, SecondPoint: gp_Pnt, Center: gp_Pnt, BasePnt: gp_Pnt, drawRevers: boolean, SpecCase: boolean, FilletCirc: gp_Circ, FirstParCirc: number, LastParCirc: number, EndOfArrow: gp_Pnt, DirOfArrow: gp_Dir, DrawPosition: gp_Pnt): void
Parameters
ArrowLength: number
Value: number
SecondPoint: gp_Pnt
drawRevers: boolean
SpecCase: boolean
FirstParCirc: number
LastParCirc: number
DrawPosition: gp_Pnt
Returns void
Static ComputePlanarFacesLengthPresentation
- ComputePlanarFacesLengthPresentation(FirstArrowLength: number, SecondArrowLength: number, AttachmentPoint1: gp_Pnt, AttachmentPoint2: gp_Pnt, DirAttach: gp_Dir, OffsetPoint: gp_Pnt, PlaneOfFaces: gp_Pln, EndOfArrow1: gp_Pnt, EndOfArrow2: gp_Pnt, DirOfArrow1: gp_Dir): void
Static ComputeRadiusLine
- ComputeRadiusLine(aCenter: gp_Pnt, anEndOfArrow: gp_Pnt, aPosition: gp_Pnt, drawFromCenter: boolean, aRadLineOrign: gp_Pnt, aRadLineEnd: gp_Pnt): void
Static ComputeSymbol
Parameters
aPresentation: any
drawFromCenter: boolean
Returns void